corda / net.corda.core.utilities / TimeWindow

# TimeWindow

`data class TimeWindow`

A class representing a window in time from a particular instant, lasting a specified duration.

### Constructors

<init> | `TimeWindow(start: Instant, duration: Duration)` A class representing a window in time from a particular instant, lasting a specified duration.

### Properties

duration | `val duration: Duration`
end | `val end: Instant`
start | `val start: Instant`